Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
settlements
/
reports
/
configuration
List settlement report configurations
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/settlements/reports/configuration \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "filetypes": [
        "<string>"
      ],
      "destinations": [
        {
          "destination_type": "account_email",
          "id": "<string>",
          "destination_value": "<string>"
        }
      ],
      "providers": [
        "<string>"
      ],
      "send_every": 86400000,
      "filters": [
        {
          "filter": "payout_destination_id",
          "value": "<string>"
        }
      ],
      "id": "<string>",
      "last_send_at": 123,
      "last_modified_at": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "account_id": "<string>"
    }
  ],
  "starting_after": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

starting_after
string

cursor for use in pagination

limit
integer
default:100

A limit on the number of objects to be returned. Limit can range between 1 and 1000 items, and the default is 100 items.

Required range: 1 <= x <= 1000

Response

Settlement report configurations list

items
object[]
starting_after
string

cursor for use in pagination